Subject: [bug#55348] [PATCH] gnu: Add embedded-controller-hx20.

From: Maxime Devos <[email-masked]>
Date: Tue, 10 May 2022 14:52:41 +0200

phodina via Guix-patches via schreef op di 10-05-2022 om 10:28 [+0000]:
> +	   #:make-flags '("BOARD=hx20" "CROSS_COMPILE=arm-none-eabi-
> ")
> +	   #:phases
> +       (modify-phases %standard-phases
> +         (delete 'configure)
> +         (delete 'install))))
> +    (native-inputs (list arm-none-eabi-toolchain-7-2018-q2-update

Maybe we can use Guix cross-compilation mechanism here:

(arguments
  (list #:target "arm-none-eabi"
        #:cross-implicit-inputs? #false ; custom gcc required because
        [...]))
(native-inputs (list ...)

Also, why are 'libftdi, inetutils, ...' in inputs?  Do they end up in
the firmware somehow?  Or does embedded-controller-hx20 not only
contain firmware but also some kind of binaries to control the firmware
or such?  If the latter, I don't think #:target can be used here.

Gree